# PrimitiveInteger Class Reference
[Base data types used in Form]

Inheritance diagram for PrimitiveInteger:
[legend]

List of all members.

## Public Attributes

const | SIGNED_SMALL_MIN = -32768
const | SIGNED_SMALL_MAX = +32767
const | SIGNED_MIN = -2147483648
const | SIGNED_MAX = +2147483647
const | SIGNED_BIG_MIN = -9223372036854775808
const | SIGNED_BIG_MAX = 9223372036854775807
const | UNSIGNED_SMALL_MAX = 65535
const | UNSIGNED_MAX = 4294967295

## Protected Member Functions

| checkNumber ($number)
| castNumber ($number)

## Detailed Description

Definition at line 15 of file PrimitiveInteger.class.php.

## Member Function Documentation

PrimitiveInteger::castNumber | ( | $ | number | ) | `[protected]`

Reimplemented from PrimitiveNumber.

Reimplemented in IdentifiablePrimitive.

Definition at line 34 of file PrimitiveInteger.class.php.

PrimitiveInteger::checkNumber | ( | $ | number | ) | `[protected]`

Reimplemented from PrimitiveNumber.

Reimplemented in IdentifiablePrimitive.

Definition at line 29 of file PrimitiveInteger.class.php.

References Assert::isInteger().

Here is the call graph for this function:

## Member Data Documentation

const PrimitiveInteger::SIGNED_BIG_MAX = 9223372036854775807

Definition at line 24 of file PrimitiveInteger.class.php.

const PrimitiveInteger::SIGNED_BIG_MIN = -9223372036854775808

Definition at line 23 of file PrimitiveInteger.class.php.

const PrimitiveInteger::SIGNED_MAX = +2147483647

Definition at line 21 of file PrimitiveInteger.class.php.

const PrimitiveInteger::SIGNED_MIN = -2147483648

Definition at line 20 of file PrimitiveInteger.class.php.

Referenced by PriorityQueue::push().

const PrimitiveInteger::SIGNED_SMALL_MAX = +32767

Definition at line 18 of file PrimitiveInteger.class.php.

const PrimitiveInteger::SIGNED_SMALL_MIN = -32768

Definition at line 17 of file PrimitiveInteger.class.php.

const PrimitiveInteger::UNSIGNED_MAX = 4294967295

Definition at line 27 of file PrimitiveInteger.class.php.

const PrimitiveInteger::UNSIGNED_SMALL_MAX = 65535

Definition at line 26 of file PrimitiveInteger.class.php.

The documentation for this class was generated from the following file:

- core/Form/Primitives/PrimitiveInteger.class.php